Subject: Re: bug#68119: [GNU automake 1.16.5] test-suite 45 tests failed

From: Karl Berry <[email-masked]>
Date: Mon, 29 Jan 2024 16:00:38 -0700

Hi Erik - yay for near-success :).

      case $(echo "$files" | wc -l | sed 's/^ *//') in 4|6) ;; *) false;; esac

I went with that sed.

    because "wc -l" prints some spaces in front of the number (at least
    on macOS).

I'm surprised this has not been seen already. But fine.
At least it's easy one to fix.

            export PYTHON=python3
    to verify that it works with python 3.xx.

Fingers crossed.

    P.P.S. It still needs
            export am_cv_sleep_fractional_seconds=false
    to correctly run the tests on macOS.  Without that, 75-90 tests fail.

I'll write separately about that, since this bug is already plenty long :).

Thanks,
Karl